/*******************************************************************\

Module: Value Set

Author: Daniel Kroening, kroening@kroening.com

\*******************************************************************/

#include "value_set_domain.h"

/*******************************************************************\

Function: value_set_domaint::transform

  Inputs:

 Outputs:

 Purpose:

\*******************************************************************/

void value_set_domaint::transform(
  const namespacet &ns,
  locationt from_l,
  locationt to_l)
{
  switch(from_l->type)
  {
  case GOTO:
    // ignore for now
    break;
    
  case RETURN:
    value_set.do_return(
      get_return_lhs(from_l, to_l),
      from_l->code, ns);
    break;
  
  case OTHER:
    value_set.apply_code(from_l->code, ns);
    break;
  
  default:;
    // do nothing
  }
}
